Skip to main content
DELETE
/
builders
/
{builderId}
/
photo-folders
/
{folderId}
Delete photo folder
curl --request DELETE \
  --url https://api.buildpass.global/builders/{builderId}/photo-folders/{folderId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "builderId": "<string>",
  "projectId": "<string>",
  "parentId": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
Requires write:photos. Deletes an empty gallery folder. Folders containing photos or child folders return 409.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required
folderId
string
required

Response

Photo folder deleted

id
string
builderId
string
projectId
string | null
parentId
string | null
name
string
createdAt
string<date-time>
updatedAt
string<date-time>